<?php


namespace app\cbcrm\controller\crm\customer;


use app\cbcrm\controller\BaseUser;
use app\cbcrm\model\customer\OperateModel;
use think\Request;

class Operate extends BaseUser
{
    protected $model = null;

    public function __construct(Request $request)
    {
        $this->model = new OperateModel();
        parent::__construct($request);
    }

    public function index()
    {
        $customer_id = \request()->get('customer_id',0,'intval');
        $where = [];
        if ($customer_id) {
            $where['operate_model.customer_id' ] = $customer_id;
        }else{
            return error('参数错误');
        }

        $list = $this->model->getList($where,$this->wid);
        return success('返回成功', $list);
    }
}
