<?php


namespace app\cbcrm\controller\admin\site;

use app\cbcrm\controller\BaseAdmin;
use think\facade\Db;
use think\Request;

class Config extends BaseAdmin{

    public function __construct(Request $request)
    {
        parent::__construct($request);
    }

    public function getConfig()
    {
        $config = Db::table('cb_crm_site_config')->select();
        $data = [];
        foreach($config as $item){
            $data[$item['name']] =$item['value'];
        }

        $this->success('返回成功',$data);
    }

    public function saveConfig(){
        $params = [
            'logo' => $this->request->post('logo'),
            'qrcode' => $this->request->post('qrcode'),
            'site_name' => $this->request->post('site_name'),
            'title' => $this->request->post('title'),
            'keywords' => $this->request->post('keywords'),
            'description' => $this->request->post('description'),
            'contact' => $this->request->post('contact'),
            'address' => $this->request->post('address'),
            'welcome' => $this->request->post('welcome'),
            'qq' => $this->request->post('qq'),
            'beian' => $this->request->post('beian'),
            'copyright' => $this->request->post('copyright')
        ];
        $data = [];
        foreach($params as $key=>$value){
            $data[] = [
                'name'=>$key,
                'value'=>$value
            ];
        }
       Db::table('cb_crm_site_config')->where('1=1')->delete();
       $reuslt =  Db::table('cb_crm_site_config')->insertAll($data);

       if($reuslt){
        $this->success('保存成功');
       }else{
        $this->error('保存失败');
       }
    }
}
